#ifndef _COLORS_H_
#define _COLORS_H_

typedef struct {
  int len;
  unsigned char *rgb;
  float mindB;
  float maxdB;
} colormap;

int default_colormap(colormap *);
int load_colormap(colormap *, const char *, int);
unsigned char *get_color(colormap *, float);
void free_colormap(colormap *);

#endif /* _COLORS_H_ */
