#ifndef _JACKEND_H_
#define _JACKEND_H_

typedef struct {
  /* data for jack only */
  void *client;
  void *port;
  int _jackfd;   /* pipe end to write to by jack callback */

  /* data for everyone */
  unsigned long sample_rate;
  unsigned int buffer_size;
  float *buffer;
  int jackfd;    /* pipe end to be used by gtk/select */
  int paused;
} jack_stuff;

void init_jack(jack_stuff *);

#endif /* _JACKEND_H_ */
